<div class="col-lg-12 animated fadeInRight list-devices">
  <div class="input-group">
  </div>
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <div class="row">
              <div class="col-sm-12">
                <h3>
                  <strong>Transactions</strong>
                </h3>
              </div>
            </div>
            <div class="fm-row">
              <div class="row">
                <div class="col-sm-4">
                  <select [(ngModel)]="type_value" name="type" placeholder="Wallet type" class="form-control">
                    <option value="S">System Wallets</option>
                    <option value="D">Driver Wallets</option>
                    <option value="C">Customer Wallets</option>
                    <option value="P">Partner Wallets</option>
                    <option value="PG">Payment Gateway Wallets</option>
                    <option value="CP">Company Wallets</option>
                  </select>
                </div>
                <div class="col-sm-8 text-right">
                  <button type="get" class="btn btn-sm btn-primary blue">
                    <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                  <button class="btn btn-sm btn-primary green">
                    <i aria-hidden="true" class="fa fa-refresh"></i> Refresh</button>
                  <button class="btn btn-sm btn-primary red">
                    <i aria-hidden="true" class="fa fa-eraser"></i> Reset filters</button>
                  <button type="submit" class="btn btn-primary btn-sm blue"
                    [routerLink]="['/admin/wallet/wallets/wallet-add']">Add new record</button>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <div class="table-responsive">
                <table aria-describedby="Manage Company" class="table table-striped table-bordered table-responsive">
                  <thead>
                    <tr>
                      <th scope="col">Unique Transaction Number
                      </th>
                      <th scope="col">From Wallet
                      </th>
                      <th scope="col">From Wallet type
                      </th>
                      <th scope="col">To Wallet
                      </th>
                      <th scope="col">To Wallet Type
                      </th>
                      <th scope="col">Amount
                      </th>
                      <th scope="col">Previous balance
                      </th>
                      <th scope="col">Balance
                      </th>
                      <th scope="col">Transaction Type</th>
                      <th scope="col">Unique order id</th>
                      <th scope="col">Description</th>
                      <th scope="col">Created At</th>
                      <th scope="col">Is temperory</th>
                      <th scope="col">Status</th>
                    </tr>
                  </thead>
                  <tbody>
                    <span *ngIf="searchSubmit">
                      <img alt="loader" src="assets/img/loader.gif" class="loader-img" />
                    </span>
                    <tr *ngFor="let trans of TransactionData">
                      <td>
                        {{trans.unique_transaction_id}}
                      </td>
                      <td *ngIf='trans.wallet_id_from.user_id'>Email : {{trans.wallet_id_from.user_id.email}}</td>
                      <td *ngIf='trans.wallet_id_from.driver_id'>Driver : {{trans.wallet_id_from.driver_id.emp_id}}</td>
                      <td *ngIf='trans.wallet_id_from.company_id'>Company name :
                        {{trans.wallet_id_from.company_id.company_name}}</td>
                      <td *ngIf='trans.wallet_id_from.user_type=="S"'>System Wallet,{{trans.wallet_id_from.wallet_type}}
                      </td>
                      <td *ngIf='trans.wallet_id_from.user_type=="D"'>Driver Wallet,{{trans.wallet_id_from.wallet_type}}
                      </td>
                      <td *ngIf='trans.wallet_id_from.user_type=="CP"'>Company
                        Wallet,{{trans.wallet_id_from.wallet_type}}</td>
                      <td *ngIf='trans.wallet_id_to.user_id'>Email : {{trans.wallet_id_to.user_id.email}}</td>
                      <td *ngIf='trans.wallet_id_to.driver_id'>Driver : {{trans.wallet_id_to.driver_id.emp_id}}</td>
                      <td *ngIf='trans.wallet_id_to.company_id'>Company name :
                        {{trans.wallet_id_to.company_id.company_name}}</td>
                      <td *ngIf='trans.wallet_id_to.user_type=="S"'>System Wallet,{{trans.wallet_id_to.wallet_type}}
                      </td>
                      <td *ngIf='trans.wallet_id_to.user_type=="D"'>Driver Wallet,{{trans.wallet_id_to.wallet_type}}
                      </td>
                      <td *ngIf='trans.wallet_id_to.user_type=="CP"'>Company Wallet,{{trans.wallet_id_to.wallet_type}}
                      </td>
                      <td>{{trans.amount.$numberDecimal}}</td>
                      <td>{{trans.previous_balance.$numberDecimal}}</td>
                      <td>{{trans.balance.$numberDecimal}}</td>
                      <td>{{trans.credit_debit=='C'?'CREDIT':'DEBIT'}}</td>
                      <td>{{trans.order_id?trans.order_id:NILL}}</td>
                      <td>{{trans.description}}</td>
                      <td>{{trans.created_at}}</td>
                      <td>{{trans.is_temperory=='1'?'Temperory':'NILL'}}</td>
                      <td>{{trans.status}}</td>
                    </tr>
                  </tbody>
                </table>
              </div>
              <div style="text-align:center; margin-left:125px;" *ngIf="TransactionDataLength==0">
                No records found.
              </div>
              <br>
              <div class="container-fluid" *ngIf="TransactionDataLength > 0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <ngb-pagination [collectionSize]="TransactionDataLength" (pageChange)="pagingAgent($event)"
                      [page]="1" [pageSize]="pageSize" aria-label="Default pagination" [maxSize]="5"
                      [boundaryLinks]="true">
                    </ngb-pagination>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>